<mat-dialog-content>
<mat-card class="mat-elevation-z15">
  <mat-card-title style="text-align:center; padding-bottom: 15px;">Register</mat-card-title>
    <mat-card-content>
      <form [formGroup]="registerForm" (ngSubmit)="register()">
        <mat-form-field color="accent">
          <input matInput placeholder="Username" required name="username" formControlName="username">
          <mat-icon matSuffix>perm_identity</mat-icon>
          <mat-error *ngIf="registerForm.get('username').errors?.required">Username is required</mat-error>
        </mat-form-field>
        <mat-form-field color="accent">
          <input matInput placeholder="Full name" required name="fullname" formControlName="fullname">
          <mat-icon matSuffix>perm_identity</mat-icon>
          <mat-error *ngIf="registerForm.get('fullname').errors?.required">Full name is required</mat-error>
        </mat-form-field>
        <mat-form-field color="accent">
          <input matInput placeholder="Email" type="email" required  name="email" formControlName="email">
          <mat-error *ngIf="registerForm.get('email').errors?.required">Email is required</mat-error>
          <mat-error *ngIf="registerForm.get('email').errors?.email">Must be a valid email address</mat-error>
          <mat-icon matSuffix>email</mat-icon>
        </mat-form-field>
        <mat-form-field color="accent">
          <input matInput placeholder="Password" type="password" required minlength="6" name="password" formControlName="password">
            <mat-error *ngIf="registerForm.get('password').errors?.required">Password is required</mat-error>
            <mat-error *ngIf="registerForm.get('password').errors?.minlength">Password must be of length 6</mat-error>
          <mat-icon matSuffix>lock</mat-icon>
        </mat-form-field>
        <mat-checkbox class="login-button" formControlName="isAdmin" color="warn" >Admin</mat-checkbox>
        <button mat-raised-button color="primary" class="login-button">Register</button>
      </form>
    </mat-card-content>
</mat-card>
</mat-dialog-content>
